# nomad-Cycle-module
>Cycle module for Nomad Cloud web app.

This module add the **Cycle** tab to the Nomad Cloud app.

## Contents
* [1 Project structure](#1)
* [3 Testing](#3)
* [4 Building](#4)
* [5 Publishing](#5)

## <a name="1"></a>1 Project structure
- Sources:
    - **js** folder for the javascript files
    - **templates** HTML views
    - **GruntFile.js** contains the Grunt functions to build the distribution files (into dist folder)
- Testing:
    - **index.html** HTML page used to test the module
    - **test/test.js** test Main controller

## <a name="2"></a>3 Testing
Install lite-server: 
```Shell
npm i lite-server -g 
```
Run the module test page:
```Shell
npm test 
```

## <a name="4"></a>4 Building
The following command:
```Shell
npm run build
```
- Concatenate javascipt files.
- Concatenate template pages into module javascript file.
- Uglify the javascript module file.
- Creates `dist` folder with all the files of distribution.
- Copy the package.json & README.md files into the 'dist' folder.

## <a name="5"></a>5 Publishing
Before publishing the first time:
- Set the Sixense Digital registry:
```Shell
npm set registry http://registry.sixense-digitalsite.com:4873
```
- Then run publish script
```Shell
npm run publish
```